[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TResolverErrorEvent

Defines the event handler for update errors in TBufDataset

## Declaration

Source position: bufdataset.pas line 29

`type TResolverErrorEvent = procedure(`
`Sender: TObject;`
`DataSet: TCustomBufDataset;`
`E: EUpdateError;`
`UpdateKind: TUpdateKind;`
`var Response: TResolverResponse`
`) of object;`

## Arguments

`Sender` |  | Class generating the event notification
`DataSet` |  | Dataset for the event notification
`E` |  | Exception for the event notification
`UpdateKind` |  | Type of update where the error occurred
`Response` |  | Response from the event handler

## Description

TResolverErrorEvent is an object procedure which defines an event handler signalled when an error occurs while updating a record in TBufDataset. TResolverErrorEvent is the type used for the TCustomBufDataset.OnUpdateError property. Applications should create a routine which uses the signature for the type to handle the event notification. The routine should update the Response argument to indicate the action taken for the event notification.

## See also

TCustomBufDataset.OnUpdateError |  | Event handler signalled when an error occurs while updating records